package com.mortals.xhx.module.site.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.area.model.AreaEntity;
import com.mortals.xhx.module.area.model.AreaTreeSelect;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.model.SiteTreeSelect;

import java.util.List;
import java.util.Map;

/**
 * SiteService
 * <p>
 * 站点 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface SiteService extends ICRUDService<SiteEntity, Long> {

    /**
     * 区域站点树
     *
     * @param context
     * @return
     */
    List<SiteTreeSelect> siteTree(Context context);


    List<SiteTreeSelect> getSiteTree(Context context);

    void setSiteTree(List<SiteTreeSelect> list, Context context);

}